%define upstream_name Horde_Core
%define xmldir  %{_var}/lib/pear
%define peardir %(pear config-get php_dir 2> /dev/null)

Name: 		php-pear-%{upstream_name}
Version:     	1.8.2
Release:     	%mkrel 1
Summary:    	Horde Core Framework libraries
License:    	LGPL-2.1
Group:       	Networking/Mail
Url:         	http://pear.horde.org/package/%{upstream_name}
Source0:    	Source0: http://pear.horde.org/get/%{upstream_name}-%{version}.tgz
Requires:	php-json
Requires:    	php-pear >= 1.4.7
Requires:  	php-pear-Horde_ActiveSync < 2.0.0
Requires:  	php-pear-Horde_Alarm < 2.0.0
Requires:  	php-pear-Horde_Auth < 2.0.0 
Requires:  	php-pear-Horde_Autoloader < 2.0.0 
Requires:  	php-pear-Horde_Browser < 2.0.0 
Requires:  	php-pear-Horde_Cache < 2.0.0 
Requires:  	php-pear-Horde_Cli < 2.0.0 
Requires:  	php-pear-Horde_Compress < 2.0.0
Requires:  	php-pear-Horde_Controller < 2.0.0 
Requires:  	php-pear-Horde_Data < 2.0.0 
Requires:  	php-pear-Horde_Date < 2.0.0 
Requires:  	php-pear-Horde_Exception < 2.0.0 
Requires:  	php-pear-Horde_Group < 2.0.0 
Requires:  	php-pear-Horde_History < 2.0.0 
Requires:  	php-pear-Horde_Injector < 2.0.0 
Requires:  	php-pear-Horde_Lock < 2.0.0 
Requires:  	php-pear-Horde_Log < 2.0.0 
Requires:  	php-pear-Horde_LoginTasks < 2.0.0 
Requires:  	php-pear-Horde_Mime < 2.0.0 
Requires:  	php-pear-Horde_Mime_Viewer < 2.0.0 
Requires:  	php-pear-Horde_Notification < 2.0.0 
Requires:  	php-pear-Horde_Perms < 2.0.0 
Requires:  	php-pear-Horde_Prefs < 2.0.0 
Requires:  	php-pear-Horde_Secret < 2.0.0 
Requires:  	php-pear-Horde_Serialize < 2.0.0 
Requires:  	php-pear-Horde_SessionHandler < 2.0.0 
Requires:  	php-pear-Horde_Share < 2.0.0 
Requires:  	php-pear-Horde_Support < 2.0.0 
Requires:  	php-pear-Horde_Template < 2.0.0 
Requires:  	php-pear-Horde_Token < 2.0.0 
Requires:  	php-pear-Horde_Text_Filter < 2.0.0 
Requires:  	php-pear-Horde_Text_Filter_Csstidy < 2.0.0 
Requires:  	php-pear-Horde_Translation < 2.0.0 
Requires:  	php-pear-Horde_Url < 2.0.0 
Requires:  	php-pear-Horde_Util < 2.0.0 
Requires:  	php-pear-Horde_View < 2.0.0
Conflicts: 	php-pear-Horde_ActiveSync = 2.0.0
Conflicts:  	php-pear-Horde_Alarm = 2.0.0
Conflicts:  	php-pear-Horde_Auth = 2.0.0
Conflicts:  	php-pear-Horde_Autoloader = 2.0.0
Conflicts:  	php-pear-Horde_Browser = 2.0.0
Conflicts:  	php-pear-Horde_Cache = 2.0.0
Conflicts:  	php-pear-Horde_Cli = 2.0.0
Conflicts:  	php-pear-Horde_Compress = 2.0.0
Conflicts:  	php-pear-Horde_Controller = 2.0.0
Conflicts:  	php-pear-Horde_Data = 2.0.0
Conflicts:  	php-pear-Horde_Date = 2.0.0
Conflicts: 	php-pear-Horde_Exception = 2.0.0
Conflicts:  	php-pear-Horde_Group = 2.0.0
Conflicts:  	php-pear-Horde_History = 2.0.0
Conflicts:  	php-pear-Horde_Injector = 2.0.0
Conflicts:  	php-pear-Horde_Lock = 2.0.0
Conflicts:  	php-pear-Horde_Log = 2.0.0
Conflicts:  	php-pear-Horde_LoginTasks = 2.0.0
Conflicts:  	php-pear-Horde_Mime = 2.0.0
Conflicts:  	php-pear-Horde_Mime_Viewer = 2.0.0
Conflicts:  	php-pear-Horde_Notification = 2.0.0
Conflicts:  	php-pear-Horde_Perms = 2.0.0
Conflicts:  	php-pear-Horde_Prefs = 2.0.0
Conflicts:  	php-pear-Horde_Secret = 2.0.0
Conflicts:  	php-pear-Horde_Serialize = 2.0.0
Conflicts:  	php-pear-Horde_SessionHandler = 2.0.0
Conflicts:  	php-pear-Horde_Share = 2.0.0
Conflicts:  	php-pear-Horde_Support = 2.0.0
Conflicts:  	php-pear-Horde_Template = 2.0.0
Conflicts:  	php-pear-Horde_Token = 2.0.0
Conflicts:  	php-pear-Horde_Text_Filter = 2.0.0
Conflicts:  	php-pear-Horde_Text_Filter_Csstidy = 2.0.0
Conflicts:  	php-pear-Horde_Translation = 2.0.0
Conflicts:  	php-pear-Horde_Url = 2.0.0
Conflicts:  	php-pear-Horde_Util = 2.0.0
Conflicts:  	php-pear-Horde_View = 2.0.0
BuildRequires:	php-pear >= 1.9.4
BuildRequires:	php-pear-Horde_Role
BuildRequires: 	php-pear-channel-horde
Provides:      	php-pear-Horde_Core = %{version}
Obsoletes:	horde-core	

%description
These classes provide the core functionality of the Horde Application
Framework.

%prep
%setup -c -T
pear -v -c pearrc \
        -d php_dir=%{peardir} \
        -d doc_dir=/docs \
        -d bin_dir=%{_bindir} \
        -d data_dir=%{peardir}/data \
        -d test_dir=%{peardir}/tests \
        -d ext_dir=%{_libdir} \
        -d horde_dir=%{_libdir}/php/pear/horde\
        -s

%build

%install
rm -rf %{buildroot}
pear -c pearrc install --nodeps --packagingroot %{buildroot} %{SOURCE0}
        
# Clean up unnecessary files
rm pearrc
rm %{buildroot}/%{peardir}/.filemap
rm %{buildroot}/%{peardir}/.lock
rm -rf %{buildroot}/%{peardir}/.registry
rm -rf %{buildroot}%{peardir}/.channels
rm %{buildroot}%{peardir}/.depdb
rm %{buildroot}%{peardir}/.depdblock


mv %{buildroot}/docs .

# Install XML package description
mkdir -p %{buildroot}%{xmldir}
tar -xzf %{SOURCE0} package.xml
cp -p package.xml %{buildroot}%{xmldir}/Horde_Core.xml

%clean
rm -rf %{buildroot}

%post
pear install --nodeps --soft --force --register-only %{xmldir}/Horde_Core.xml

%postun
if [ "$1" -eq "0" ]; then
    pear uninstall --nodeps --ignore-errors --register-only pear.horde.org/Horde_Core
fi

%files
%defattr(-,root,root)
%doc docs/Horde_Core/COPYING
%{_libdir}/php/pear/horde/*
%{peardir}/*
%{xmldir}/Horde_Core.xml


%changelog

* Fri Dec 23 2011 spuhler <spuhler> 1.8.2-1.mga2
+ Revision: 186290
- upgrade to 1.8.2

* Mon Nov 28 2011 spuhler <spuhler> 1.8.0-1.mga2
+ Revision: 173250
- upgrade to 1.8.0

* Sun Nov 06 2011 spuhler <spuhler> 1.7.0-1.mga2
+ Revision: 164018
- upgrade tp 1.7.0
-    -d horde_dir=%%{_libdir}/php/pear/horde/%%s\
  +   -d horde_dir=%%{_libdir}/php/pear/horde\
-    {_libdir}/php/pear/horde/%%s/*
  +   {_libdir}/php/pear/horde/*
  change in the Requires:  all <= to <
- added BuildRequires: php-json
  added Requires: json
- removed noarch
- added BuildRequires: php-pear-Horde_Role
- added BuildRequires: php-pear >= 1.9.4 and php-pear-channel-horde
- imported package php-pear-Horde_Core

